Package org.bukkit.block.data

# Interface Waterlogged

All Superinterfaces:
  `BlockData`, `Cloneable`

All Known Subinterfaces:
  `AmethystCluster`, `BigDripleaf`, `Campfire`, `Candle`, `Chain`, `Chest`, `CoralWallFan`, `Dripleaf`, `EnderChest`, `Fence`, `GlassPane`, `GlowLichen`, `HangingSign`, `Ladder`, `Lantern`, `Leaves`, `Light`, `LightningRod`, `MangrovePropagule`, `PointedDripstone`, `Rail`, `RedstoneRail`, `Scaffolding`, `SculkSensor`, `SculkShrieker`, `SculkVein`, `SeaPickle`, `Sign`, `Slab`, `SmallDripleaf`, `Stairs`, `TrapDoor`, `Wall`, `WallHangingSign`, `WallSign`

public interface Waterlogged extends BlockData
'waterlogged' denotes whether this block has fluid in it.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isWaterlogged()`
Gets the value of the 'waterlogged' property.
`void`
`setWaterlogged(boolean waterlogged)`
Sets the value of the 'waterlogged' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

## Method Details

### isWaterlogged

boolean isWaterlogged()
Gets the value of the 'waterlogged' property.

Returns:
  the 'waterlogged' value

### setWaterlogged

void setWaterlogged(boolean waterlogged)
Sets the value of the 'waterlogged' property.

Parameters:
  `waterlogged` - the new 'waterlogged' value